
dim_params <- list(obs.path = "/esarchive/recon/ecmwf/era5/monthly_mean/$var$_f1h-r1440x721cds/$var$_$file_date$.nc",
  variable <- "prlr",
  file_date = array(c("201311","201312","201411","201412"), 
                    c(time = 2, syear = 2)),
  latitude = values(list(35.6, 44)),
  longitude = values(list(0, 10)),
  longitude_reorder = CircularSort(-180, 180),
  time = 'all',
  time_across = 'file_date')
             return_vars = list(latitude = 'dat',
                                longitude = 'dat',
                                time = 'file_date')
             split_multiselected_dims = TRUE
             retrieve = TRUE
 merge_across_dims = TRUE
file_opener = NcOpener
                  file_var_reader = NcVarReader
                  file_dim_reader = NcDimReader
                  file_data_reader = NcDataReader
                  file_closer = NcCloser
                  transform = NULL
                  transform_params = NULL
                  transform_vars = NULL
                  transform_extra_cells = 2
                  apply_indices_after_transform = FALSE
                  pattern_dims = NULL
                  metadata_dims = NULL
                  selector_checker = SelectorChecker
                  merge_across_dims_narm = FALSE
                  path_glob_permissive = FALSE
                  largest_dims_length = FALSE
                  num_procs = 1
                  ObjectBigmemory = NULL
                  silent = FALSE;debug = FALSE
synonims = list(latitude=c('lat','latitude'),
                             longitude=c('lon','longitude')) 

source("/esarchive/scratch/nperez/git/startR/R/zzz.R")
source("/esarchive/scratch/nperez/git/startR/R/Utils.R")
